import request from '@/utils/request'

// 查询模版属性列表
export function listBySurveyId(surveyId) {
  return request({
    url: '/business/survey/listBySurveyId?surveyId=' + surveyId,
    method: 'get',
  })
}


// 查询调查问卷管理列表
export function listSurvey(query) {
  return request({
    url: '/business/survey/list',
    method: 'get',
    params: query
  })
}

// 查询调查问卷管理详细
export function getSurvey(id) {
  return request({
    url: '/business/survey/' + id,
    method: 'get'
  })
}

// 新增调查问卷管理
export function addSurvey(data) {
  return request({
    url: '/business/survey',
    method: 'post',
    data: data
  })
}

// 修改调查问卷管理
export function updateSurvey(data) {
  return request({
    url: '/business/survey',
    method: 'put',
    data: data
  })
}

// 删除调查问卷管理
export function delSurvey(id) {
  return request({
    url: '/business/survey/' + id,
    method: 'delete'
  })
}
